Subject: [RFC PATCH] KVM: arm/arm64: Don't let userspace update CNTVOFF once guest is running

From: [email-masked] (Christoffer Dall)
Date: Thu, 9 Jul 2015 14:24:06 +0200

On Thu, Jul 09, 2015 at 01:07:24PM +0100, Peter Maydell wrote:
> On 9 July 2015 at 13:05, Christoffer Dall <[email-masked]> wrote:
> > As I understand it, the problem is that if we ever run a VCPU after
> > reading the value, and write back the value afterwards, you potentially
> > make time go backwards and get inconsistent views of time from different
> > VCPUs because they may have read the time before/after updating the
> > CNTVOFF.
> 
> Right, but I think if QEMU does that it's a bug (and more to
> the point I don't entirely understand why we would do that
> yet, even given that we don't have a distinction between
> "registers to sync always" and "registers to sync only on
> reset"...)
> 
I think we have evidence that it does that, but we don't know why/how.

-Christoffer